<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Download Interface
| File: search.php
| Copyright  2007 - 2011 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if(file_exists("../../maincore.php")) require_once "../../maincore.php";
else require_once "../../../maincore.php";

include INFUSIONS."download_interface_panel/infusion_db.php";

# Live-Search
function search($mode) {
  add_to_head("<script type='text/javascript'>
	function lookup(inputString) {
		if(inputString.length == 0) {
			// Hide the suggestion box.
			$('#suggestions').hide();
		} else {
			$.post(\"".INFUSIONS."download_interface_panel/includes/search.php\", {".$mode.": \"\"+inputString+\"\"}, function(data){
				if(data.length >0) {
					$('#suggestions').show();
					$('#autoSuggestionsList').html(data);
				}
			});
		}
	}
	function fill(thisValue) {
		$('#".$mode."').val(thisValue);
		setTimeout(\"$('#suggestions').hide();\", 200);
	}
</script>
<style type='text/css'>
.suggestionsBox {	position: absolute; z-index: 10; margin-top: 6px; width: 250px; border-left: 1px solid #888; border-right: 1px solid #888; border-top: 1px solid #888; color: #666; }
.suggestionList { font-size: 9px; color: #ccc; margin: 0px; }
.suggestionList li { background-image: url('".INFUSIONS."download_interface_panel/images/bg.jpg'); font-size: 12px; color: #555; display: block; border-bottom: 1px solid #888; text-align: left; list-style-type: none; padding: 5px; cursor: pointer; }
.suggestionList li:hover { background: #cceeee; }
</style>
");

  echo "<input type='hidden' id='download_id' name='download_id' value='' />\n";
  echo "<input type='text' size='30' id='".$mode."' name='inputString' class='textbox' style='color: #aaa; width: 200px;' autocomplete='off' onkeyup='lookup(this.value);' onblur='if(this.value==\"\") { this.value=\"Wpisz  wyraz...\"; this.style.color=\"#aaa\"; } fill(thisValue);' onclick='this.value=\"\"; this.style.color=\"#555\";' value='Wpisz wyraz...' />\n";
  echo "<input type='submit' name='search' class='button' value='Szukaj' />\n";
  echo "<div class='suggestionsBox' id='suggestions' style='display: none;'>\n";
  echo "<div class='suggestionList' id='autoSuggestionsList'>\n";
  echo "</div></div>\n";

}

if(isset($_POST['all'])) {
  $queryString = $_POST['all'];
  if(strlen($queryString) > 0) {
    $result = dbquery("SELECT * FROM ".DB_DLI." INNER JOIN ".DB_DLI_CATS." on download_cat = download_cat_id WHERE ".groupaccess('download_cat_access')." AND download_title LIKE '".$queryString."%' LIMIT 10");
    if(dbrows($result)) {
      while ($data = dbarray($result)) {
        echo "<li onclick=\"fill('".$data['download_title']." ".$data['download_version']."'); document.downloadsearch.download_id.value='".$data['download_id']."';\"><u>".$data['download_title']." ".$data['download_version']."</u><br />";
        echo "<span class='small'>Kategorie: ".$data['download_cat_name']."</span></li>";
      }
    } else {
      echo "<li>PROBLEM:<br />";
      echo "<span class='small'>Nie znaleziono pliku</span></li>";
    }
  }
}

?>
