<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk
+--------------------------------------------------------+
| Infusion: Download Interface
| File: download_interface_panel.php
| Copyright  2007 - 2011 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."download_interface_panel/infusion_db.php";

if (file_exists(DLI_ROOT."locale/".$settings['locale'].".php")) {
	include DLI_ROOT."locale/".$settings['locale'].".php";
} else {
	include DLI_ROOT."locale/German.php";
}

add_to_head("<script type='text/javascript' language='javascript' src='".INFUSIONS."download_interface_panel/includes/jquery.tooltip.pack.js'></script>
<script type='text/javascript'>
$(function() {
$('#dlp_box a').tooltip({
	track: true,
	delay: 0,
	showURL: false,
	showBody: ' ~ ',
	fade: 250
});
});
</script>
<style type='text/css'>
#tooltip { width: 280px; position: absolute; z-index: 3000; box-shadow: 2px 2px 2px #888; border: 1px solid #888; background-color: transparent; background-image: url('".INFUSIONS."download_interface_panel/images/bg.jpg'); padding: 5px; opacity: 0.9; }
#tooltip h3 { font-size: 12px; margin: 0; font-weight: normal; color: #555; margin-bottom: 5px; }
#tooltip div { font-size: 10px; margin: 0; color: #555; }
#tooltip div hr { height: 1px; background: #888; border: 0px; }
</style>");

openside($locale['dip_100']);
echo "<div id='dlp_box'>\n<div id='navigation'>\n<ul>\n";
echo "<li><a href='".DLI_ROOT."downloads.php' class='side'>".THEME_BULLET." ".$locale['dip_101']."</a></li>\n";
echo "<hr class='side' />";
echo "<h2><u>".$locale['dip_102']."</u></h2>\n";
$result = dbquery("SELECT * FROM ".DB_DLI." INNER JOIN ".DB_DLI_CATS." ON download_cat_id = download_cat WHERE ".groupaccess('download_cat_access')." ORDER BY download_datestamp DESC LIMIT 5");
if(dbrows($result)) {
  while($data = dbarray($result)) {
    echo "<li class='small'><a href='".DLI_ROOT."downloads.php?download_cat=".$data['download_cat']."&download_id=".$data['download_id']."' title='".$data['download_title']." ".$data['download_version']." ~ <hr /><span class=\"small\">".parseubb($data['download_description_short'])."</span>";
    # Screenshot
    if ($data['download_image'] != "") {
      echo "<hr /><div style=\"text-align: center;\"><img src=\"".DOWNLOADS."images/".$data['download_image_thumb']."\" alt=\"\" border=\"0\" style=\"border: 1px solid #888; opacity: 0.8;\" /></div>";
    }
    echo "<hr /><span class=\"small\" style=\"float: right;\">".$data['download_copyright']."</span>'>".THEME_BULLET." ".trimlink($data['download_title']." ".$data['download_version'], 24)."</a></li>";
  }
  echo "<hr class='side' />";
} else {
  echo "<div class='small2' align='center' style='padding: 10px;'><em>".$locale['dip_106']."</em></div>\n";
}
echo "<h2><u>".$locale['dip_103']."</u></h2>\n";
$result = dbquery("SELECT * FROM ".DB_DLI." INNER JOIN ".DB_DLI_CATS." ON download_cat_id = download_cat WHERE ".groupaccess('download_cat_access')." ORDER BY download_count DESC LIMIT 5");
if(dbrows($result)) {
  while($data = dbarray($result)) {
    echo "<li class='small'><a href='".DLI_ROOT."downloads.php?download_cat=".$data['download_cat']."&download_id=".$data['download_id']."' title='".$data['download_title']." ".$data['download_version']." ~ <hr /><span class=\"small\">".parseubb($data['download_description_short'])."</span>";
    # Screenshot
    if ($data['download_image'] != "") {
      echo "<hr /><div style=\"text-align: center;\"><img src=\"".DOWNLOADS."images/".$data['download_image_thumb']."\" alt=\"\" border=\"0\" style=\"border: 1px solid #888; opacity: 0.8;\" /></div>";
    }
    echo "<hr /><span class=\"small\" style=\"float: right;\">".$data['download_copyright']."</span>'>".THEME_BULLET." ".trimlink($data['download_title']." ".$data['download_version'], 20)."<span class='small2' style='float: right;'>[".$data['download_count']."]</span></a></li>";
  }
} else {
  echo "<div class='small2' align='center' style='padding: 10px;'><em>".$locale['dip_106']."</em></div>\n";
}

echo "<hr class='side' />";
echo "<h2><u>".$locale['dip_108']."</u></h2>\n";
$displayComments = 5;
$result = dbquery("	SELECT *
					FROM ".DB_COMMENTS."
          INNER JOIN ".DB_USERS." ON user_id = comment_name
          INNER JOIN ".DB_DLI." ON download_id = comment_item_id
          INNER JOIN ".DB_DLI_CATS." ON download_cat_id = download_cat
					WHERE comment_type='D'
          AND comment_hidden='0'
					ORDER BY comment_datestamp DESC
					");
if (dbrows($result)) {
	$output = "";
	$i = 0;
	while($data = dbarray($result)) {
		if ($i == $displayComments) { break; }
		switch ($data['comment_type']) {
			case "D":
				$access = dbquery("	SELECT download_id FROM ".DB_DLI." d, ".DB_DLI_CATS." c WHERE
									d.download_id='".$data['comment_item_id']."' AND
									d.download_cat=c.download_cat_id AND
									".groupaccess('c.download_cat_access')
									);
				if (dbrows($access) > 0) {
					$comment = trimlink($data['comment_message'], 24);
					$output .= "<li class='small'><a href='".DLI_ROOT."downloads.php?download_id=".$data['comment_item_id']."#c".$data['comment_id']."' title='".$data['download_title']." ".$data['download_version']." ~ <hr />".trimlink(parsesmileys(parseubb($data['comment_message'])) ,250)."<hr />".$data['user_name']." &middot; ".date('d.m.Y - H:i', $data['comment_datestamp'])."' class='side'>".THEME_BULLET." ".$comment."</a></li>\n";
					$i++;
				}
				continue;
		}
	}
	echo $output;
} else {
	echo "<div class='small2' align='center' style='padding: 10px;'><em>".$locale['dip_109']."</em></div>\n";
}

echo "<hr class='side' />";
$dl_count = dbrows(dbquery("SELECT * FROM ".DB_DLI." INNER JOIN ".DB_DLI_CATS." ON download_cat_id = download_cat WHERE ".groupaccess('download_cat_access').""));
if($dl_count == 1) $downloads = $locale['dip_104']; else $downloads = $locale['dip_105'];
echo "<div align='right' class='small2'>".$dl_count." ".$downloads."</div>\n";
echo "</ul>\n</div>\n</div>\n";
closeside();

?>