<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk
+--------------------------------------------------------+
| Infusion: Download Interface
| File: user_navigation.php
| Copyright  2007 - 2011 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."download_interface_panel/infusion_db.php";
require_once DLI_ROOT."includes/search.php";

if (file_exists(DLI_ROOT."locale/".$settings['locale'].".php")) {
	include DLI_ROOT."locale/".$settings['locale'].".php";
} else {
	include DLI_ROOT."locale/English.php";
}

add_to_head("<script type='text/javascript' language='javascript' src='".INFUSIONS."download_interface_panel/includes/jquery.tooltip.pack.js'></script>
<script type='text/javascript'>
$(function() {
$('#dli_box a').tooltip({
	track: true,
	delay: 0,
	showURL: false,
	showBody: ' ~ ',
	fade: 250
});
});
</script>
<style type='text/css'>
#tooltip { width: 280px; position: absolute; z-index: 3000; box-shadow: 2px 2px 2px #888; border: 1px solid #888; background-color: transparent; background-image: url('".INFUSIONS."download_interface_panel/images/bg.jpg'); padding: 5px; opacity: 0.9; }
#tooltip h3 { font-size: 12px; margin: 0; font-weight: normal; color: #555; margin-bottom: 5px; }
#tooltip div { font-size: 10px; margin: 0; color: #555; }
#tooltip div hr { height: 1px; background: #888; border: 0px; }
</style>");

if(isset($_POST['search'])) {
  $result = dbquery("SELECT download_id, download_cat FROM ".DB_DLI." INNER JOIN ".DB_DLI_CATS." ON download_cat_id = download_cat WHERE ".groupaccess('download_cat_access')." AND download_id='".stripinput($_POST['download_id'])."'");
  if(dbrows($result)) {
    $data = dbarray($result);
    redirect(DLI_ROOT."downloads.php?download_cat=".$data['download_cat']."&download_id=".$data['download_id']);
  }
}

opentable($locale['din_100']);

echo "<div id='dli_box'>\n<form method='post' name='downloadsearch'>\n";
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border' style='margin-bottom: 5px;'><tr>\n";
 echo "<td class='tbl1' width='1%'>";
if(isset($_GET['download_id']) && isnum($_GET['download_id']) || isset($_GET['download_cat']) && isnum($_GET['download_cat'])) echo "<a href='".DLI_ROOT."downloads.php' title='".$locale['din_100']." ~ <hr />".$locale['din_101']."'><img src='".DLI_ROOT."images/drive_disk.png' alt='' border='0' />";
else echo "<img src='".DLI_ROOT."images/drive_disk.png' alt='' border='0' />";
echo "</td>\n<td class='tbl1' width='1%'>";
# Keine Kategorie, also automatisch abrufen
if(isset($_GET['download_id']) && isnum($_GET['download_id']) && !isset($_GET['download_cat'])) {
  $result = dbquery("SELECT download_cat_id FROM ".DB_DLI." INNER JOIN ".DB_DLI_CATS." ON download_cat_id = download_cat WHERE ".groupaccess('download_cat_access')." AND download_id='".$_GET['download_id']."'");
  if(dbrows($result)) {
    $auto_cat = dbarray($result);
    $_GET['download_cat'] = $auto_cat['download_cat_id'];
  }
}
# Kategorie ausgewhlt
if(isset($_GET['download_cat']) && isnum($_GET['download_cat'])) {
  $cat_name = dbarray(dbquery("SELECT download_cat_name FROM ".DB_DLI_CATS." WHERE ".groupaccess('download_cat_access')." AND download_cat_id='".$_GET['download_cat']."'"));
  echo "<a href='".DLI_ROOT."downloads.php?download_cat=".$_GET['download_cat']."' title='".$cat_name['download_cat_name']." ~ <hr />".$locale['din_102']."'><img src='".DLI_ROOT."images/folder_magnify.png' alt='' border='0' />";
} else {
  echo "<img src='".DLI_ROOT."images/folder.png' alt='' border='0' />";
}
# Selectbox zur Kategorieauswahl
echo "</td><td class='tbl1' width='1%'><select name='cat_select' class='textbox' onchange='window.location.href=this.value'>\n";
echo "<option value='".DLI_ROOT."downloads.php'>".$locale['din_103']."</option>\n";
$result = dbquery("SELECT download_cat_id, download_cat_name, download_cat_access FROM ".DB_DLI_CATS." WHERE ".groupaccess('download_cat_access')." ORDER BY download_cat_name");
if(dbrows($result)) while($cat_data = dbarray($result)) {
  echo "<option value='".DLI_ROOT."downloads.php?download_cat=".$cat_data['download_cat_id']."'";
  if(isset($_GET['download_cat']) && isnum($_GET['download_cat']) && $cat_data['download_cat_id'] == $_GET['download_cat']) echo " selected";
  echo ">".$cat_data['download_cat_name']."</option>";
}
echo "</select></td>\n";
echo "<td class='tbl1' width='1%'>";
# Download ausgewhlt
if(isset($_GET['download_id']) && isnum($_GET['download_id'])) echo "<img src='".DLI_ROOT."images/disk.png' alt='' border='0' />";
else echo "<img src='".DLI_ROOT."images/information.png' alt='' border='0' />";
echo "</td>";
# Ansonsten Infos anzeigen
echo "<td class='tbl1' style='padding-left: 10px; padding-right: 10px;' nowrap>\n";
if(isset($_GET['download_id']) && isnum($_GET['download_id'])) {
  $result = dbquery("SELECT download_id, download_title, download_version FROM ".DB_DLI." INNER JOIN ".DB_DLI_CATS." on download_cat = download_cat_id WHERE ".groupaccess('download_cat_access')." 
  AND download_id='".$_GET['download_id']."'");
  if(dbrows($result)) $dl_data = dbarray($result);
  echo "<u>".$dl_data['download_title']." ".$dl_data['download_version']."</u>\n";
} else {
  if(isset($_GET['download_cat']) && isnum($_GET['download_cat'])) {
    $dl_count = dbrows(dbquery("SELECT * FROM ".DB_DLI." INNER JOIN ".DB_DLI_CATS." on download_cat = download_cat_id WHERE ".groupaccess('download_cat_access')." AND download_cat='".$_GET['download_cat']."'"));
    if($dl_count == 1) $downloads = $locale['din_104']; else $downloads = $locale['din_105'];
    echo "<span class='small2' style='float: right;'>".$dl_count." ".$downloads." ".$locale['din_106']."</span>\n";
  } else {
    $dl_count = dbrows(dbquery("SELECT * FROM ".DB_DLI." INNER JOIN ".DB_DLI_CATS." on download_cat = download_cat_id WHERE ".groupaccess('download_cat_access')));
    if($dl_count == 1) $downloads = "Download"; else $downloads = "Downloads";
    $cat_count = dbrows(dbquery("SELECT * FROM ".DB_DLI_CATS." WHERE ".groupaccess('download_cat_access')));
    if($cat_count == 1) $cats = $locale['din_107']; else $cats = $locale['din_108'];
    echo "<span class='small2' style='float: right;'><span>".$dl_count." ".$downloads." &middot; ".$cat_count." ".$cats."</span>\n";
  }
}
echo "</td>\n";
# Admin-Button
if (checkrights("D") && defined("iAUTH") && isset($_GET['download_id']) && isnum($_GET['download_id'])) { echo "<td class='tbl1' width='1%'><a href='".ADMIN."downloads.php".$aidlink."&action=edit&download_id=".$dl_data['download_id']."' title='".$dl_data['download_title']." ".$dl_data['download_version']." ~ <hr />".$locale['din_109']."'><img src='".DLI_ROOT."images/bullet_wrench.png' alt='' border='0' /></a></td>\n"; }
echo "</tr>\n</table>\n";
# Suchfeld
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'><tr>\n";
echo "<td class='tbl1' width='1%'><img src='".DLI_ROOT."images/search.png' alt='' border='0' /></td>";
echo "<td class='tbl1' style='padding-left: 10px; padding-right: 10px;' nowrap>".$locale['din_110']."</td>\n";
echo "<td class='tbl1' align='right' width='1%' nowrap>\n";
search("all");
echo "</td>\n</tr>\n";
echo "</table>\n</form>\n</div>\n";
closetable();

?>